From e3c6a86b1e458bd4abb592ddd14ca10fd0893dbd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 23:54:06 +0200
Subject: [PATCH 36/45] Turn TCPFwdEntry's connectaddr and listenaddr
 attributes into char *

---
 tcpfwd.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tcpfwd.h b/tcpfwd.h
index cd04fcd..64139f0 100644
--- a/tcpfwd.h
+++ b/tcpfwd.h
@@ -48,9 +48,9 @@ struct TCPListener {
 
 /* A forwarding entry */
 struct TCPFwdEntry {
-	const unsigned char* connectaddr;
+	const char *connectaddr;
 	unsigned int connectport;
-	const unsigned char* listenaddr;
+	const char *listenaddr;
 	unsigned int listenport;
 	unsigned int have_reply; /* is set to 1 after a reply has been received
 								when setting up the forwarding */

